<?php
/**
 * RefundsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\OmsClient;

use \Ensi\OmsClient\Configuration;
use \Ensi\OmsClient\ApiException;
use \Ensi\OmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * RefundsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class RefundsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for attachRefundFile
     *
     * Загрузка вложения для заявки на возврат.
     *
     */
    public function testAttachRefundFile()
    {
    }

    /**
     * Test case for createRefund
     *
     * Создание объекта типа Refund.
     *
     */
    public function testCreateRefund()
    {
    }

    /**
     * Test case for deleteRefundFiles
     *
     * Удаление вложений для заявки на возврат.
     *
     */
    public function testDeleteRefundFiles()
    {
    }

    /**
     * Test case for getRefund
     *
     * Получение объекта типа Refund.
     *
     */
    public function testGetRefund()
    {
    }

    /**
     * Test case for patchRefund
     *
     * Обновление части полей объекта типа Refund.
     *
     */
    public function testPatchRefund()
    {
    }

    /**
     * Test case for searchRefunds
     *
     * Поиск объектов типа Refund.
     *
     */
    public function testSearchRefunds()
    {
    }
}
